ArgumentMatcherStorageImpl
Date: 2015-09-18

org.mockito.internal.progress

## Class ArgumentMatcherStorageImpl

- java.lang.Object
- - org.mockito.internal.progress.ArgumentMatcherStorageImpl

- All Implemented Interfaces:
    ArgumentMatcherStorage

      public class ArgumentMatcherStorageImpl
      extends java.lang.Object
      implements ArgumentMatcherStorage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ONE_SUB_MATCHER`
    `static int` | `TWO_SUB_MATCHERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArgumentMatcherStorageImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<LocalizedMatcher>` | `pullLocalizedMatchers()`
    `HandyReturnValues` | `reportAnd()`
    `HandyReturnValues` | `reportMatcher(org.hamcrest.Matcher matcher)`
    `HandyReturnValues` | `reportNot()`
    `HandyReturnValues` | `reportOr()`
    `void` | `reset()`
    `void` | `validateState()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TWO_SUB_MATCHERS

          public static final int TWO_SUB_MATCHERS

      See Also:
        Constant Field Values

    - #### ONE_SUB_MATCHER

          public static final int ONE_SUB_MATCHER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ArgumentMatcherStorageImpl

          public ArgumentMatcherStorageImpl()

  - ### Method Detail

    - #### reportMatcher

          public HandyReturnValues reportMatcher(org.hamcrest.Matcher matcher)

      Specified by:
        `reportMatcher` in interface `ArgumentMatcherStorage`

    - #### pullLocalizedMatchers

          public java.util.List<LocalizedMatcher> pullLocalizedMatchers()

      Specified by:
        `pullLocalizedMatchers` in interface `ArgumentMatcherStorage`

    - #### reportAnd

          public HandyReturnValues reportAnd()

      Specified by:
        `reportAnd` in interface `ArgumentMatcherStorage`

    - #### reportOr

          public HandyReturnValues reportOr()

      Specified by:
        `reportOr` in interface `ArgumentMatcherStorage`

    - #### reportNot

          public HandyReturnValues reportNot()

      Specified by:
        `reportNot` in interface `ArgumentMatcherStorage`

    - #### validateState

          public void validateState()

      Specified by:
        `validateState` in interface `ArgumentMatcherStorage`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `ArgumentMatcherStorage`